package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.stereotype.Component;

/**
 * 数据量
 * 
 * @author admin
 *
 */
@Component
@Document(collection = "Data")
public class Data implements Serializable {

	@Id
//	@Indexed(unique = true)
	private String dataId;
	private String pt;
	@Indexed(background = true)
	private String tempName;
	@Indexed(background = true)
	private String source;
	private long count;
	@Indexed(background = true)
	private Date time;
	@Indexed(background = true)
	private String spyderInfoId;

	public String getDataId() {
		return dataId;
	}

	public void setDataId(String dataId) {
		this.dataId = dataId;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	public String getTempName() {
		return tempName;
	}

	public void setTempName(String tempName) {
		this.tempName = tempName;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public long getCount() {
		return count;
	}

	public void setCount(long count) {
		this.count = count;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public String getSpyderInfoId() {
		return spyderInfoId;
	}

	public void setSpyderInfoId(String spyderInfoId) {
		this.spyderInfoId = spyderInfoId;
	}

	@Override
	public String toString() {
		return "Data [dataId=" + dataId + ", pt=" + pt + ", tempName=" + tempName + ", source=" + source + ", count="
				+ count + ", time=" + time + "]";
	}

}
